Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class SearchKey

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.SearchKey

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class SearchKey

extends org.eclipse.birt.report.model.core.Structure

Structure for optional list of search criteria. It is used when we defined action in some report item, such as label item, image item and so on, and the action type is drillthrough type. It's provided for drillthrough contents. If the document supports searching, the link can include search criteria. Each search key has the following properties:

Expression
  an expression of the search key for the drillthrough.

See Also:
  `Action`

Field Summary
`protected java.lang.String` | `expression` Value of the expression property.
`static java.lang.String` | `EXPRESSION_MEMBER` Name of the expression property.
`static java.lang.String` | `SEARCHKEY_STRUCT` Name of the structure.

Constructor Summary
`SearchKey()`

Method Summary
`java.lang.String` | `getExpression()` Returns expression value this key.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`void` | `setExpression(java.lang.String expression)` Sets the expression value of this key.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEARCHKEY_STRUCT

    public static final java.lang.String SEARCHKEY_STRUCT

  Name of the structure.

  See Also:
    Constant Field Values

### EXPRESSION_MEMBER

    public static final java.lang.String EXPRESSION_MEMBER

  Name of the expression property.

  See Also:
    Constant Field Values

### expression

    protected java.lang.String expression

  Value of the expression property.

Constructor Detail

### SearchKey

    public SearchKey()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### setExpression

    public void setExpression(java.lang.String expression)

  Sets the expression value of this key.

  Parameters:
    `expression` - the expression to set

### getExpression

    public java.lang.String getExpression()

  Returns expression value this key.

  Returns:
    the expression value

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.